Employees

Bulk update employee positions

PATCH
/api/public/v3/employees/positions/bulk

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/public/v3/employees/positions/bulk" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "employee_id": 0,        "id": 0      }    ]  }'
{  "records": {    "count": 0,    "data": [      {        "id": 0,        "employee_id": 0,        "effective_on": "string",        "fields": {          "custom_note": "string"        },        "created_at": "string",        "updated_at": "string",        "position": {          "id": 0,          "name": "string",          "created_at": "string",          "updated_at": "string"        },        "division": null,        "job_level": null,        "location": {          "id": 0,          "name": "string",          "address": null,          "time_zone": "string",          "holiday_policy_id": null,          "created_at": "string",          "updated_at": "string",          "country_code": null        },        "department": null,        "reporting_to": null,        "legal_entity": null      }    ]  },  "errors": {    "count": 0,    "data": [      null    ]  }}